namespace Brizco.Domain.CommandQueries.Commands;

public sealed record CreatePositionCommand(
        string Title, 
        string Description, 
        Guid SectionId,
        List<string> Permissions)
    : IRequest<PositionSDto>;

public sealed record UpdatePositionCommand(
        Guid Id, 
        string Title, 
        string Description, 
        Guid SectionId,
        List<string> Permissions)
    : IRequest<bool>;

public sealed record DeletePositionCommand(Guid Id)
    : IRequest<bool>;
